import Vue from 'vue'
import VueRouter from 'vue-router'


Vue.use(VueRouter)
const rejectAuthUser = (to, from, next) =>{
  if(store.state.isLogin === true){
    //이미 로그인 된 유저니까 막아야한다.
    alert('이미 로그인을 하였습니다.')
    next('/') //home으로 간다.
  } else{
    next()
  }
}
//로그인을 안한 상태에서 마이페이지 못들어가도록
const onlyAuthUser = (to, from, next) =>{
  if(store.state.isLogin === false){
    //아직 로그인 안된 유저니까 막아야한다.
    alert('로그인이 필요한 기능입니다.')
    next('/') //home으로 간다.
  } else{
    next()
  }
}
const routes = [
  {
    path: '/',
    name: 'home',
    component: () =>
    import(/* webpackChunkName: "about" */ "../views/Home.vue")
  },
  {
    path: '/login',
    name: 'login',
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/Login.vue")
  },
  {
    path: '/signup',
    name: 'signup',
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/SignUp.vue")
  },
  {
    path: "/mypage",
    name: "mypage",
    // beforeEnter: onlyAuthUser,
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/Mypage.vue")
  },
  {
    path: "/club",
    name: "club",
    // beforeEnter: onlyAuthUser,
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club.vue")
  },
  {
    path: "/modify_profile",
    name: "modify_profile",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/Modify_profile.vue")
  },
  {
    path: "/club_page/:clubId",
    name: "club_page",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_Page.vue")
  },
  {
    path: "/club_calendar/:clubId",
    name: "club_calendar",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_Calendar.vue")
  },
  {
    path: "/club_post/:clubId",
    name: "club_post",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_Post.vue")
  },
  {
    path: "/club_free/:clubId",
    name: "club_free",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_Free.vue")
  },
  {
    path: "/club_question/:clubId",
    name: "club_question",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_Question.vue")
  },
  {
    path: "/club_manage/:clubId",
    name: "club_manage",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_Manage.vue")
  },
  {
    path: "/post/:clubId",
    name: "post",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/Post.vue")
  },
  {
    path: "/club_join/:clubId",
    name: "club_join",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_Join.vue")
  },
  {
    path: "/joinedClub/user/:uid",
    name: "club_detail",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/club_Detail.vue")
  },
  {
    path: "/activityLog/one/:clubId/:boardId",
    name: "board",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/Board.vue")
  },
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
